summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Cezary M. Kruk <c.kruk@bigfoot.com>2010-05-12 23:28:23 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:28:23 +0200
commit6a7d01be98fbef89a03c6818d250a7aea5c4bdd5 (patch)
tree31d5238a6a9013b31673a631324549d82ddeed82 /desktop
parent0b91ad647a2b0cc20e024c1bd62f61ab7091ad3b (diff)
downloadslackbuilds-6a7d01be98fbef89a03c6818d250a7aea5c4bdd5.tar.gz
slackbuilds-6a7d01be98fbef89a03c6818d250a7aea5c4bdd5.tar.xz
desktop/wmakerconf: Added to 12.2 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/wmakerconf/README4
-rw-r--r--desktop/wmakerconf/doinst.sh4
-rw-r--r--desktop/wmakerconf/slack-desc19
-rw-r--r--desktop/wmakerconf/wmakerconf.SlackBuild78
-rw-r--r--desktop/wmakerconf/wmakerconf.info8
5 files changed, 113 insertions, 0 deletions
diff --git a/desktop/wmakerconf/README b/desktop/wmakerconf/README
new file mode 100644
index 0000000000..d476fd1bf5
--- /dev/null
+++ b/desktop/wmakerconf/README
@@ -0,0 +1,4 @@
+WMakerConf (short for Window Maker Configurator) is a configuration
+utility for the Window Maker window manager.
+
+WMakerConf requires installed Window Maker.
diff --git a/desktop/wmakerconf/doinst.sh b/desktop/wmakerconf/doinst.sh
new file mode 100644
index 0000000000..b46adf0f45
--- /dev/null
+++ b/desktop/wmakerconf/doinst.sh
@@ -0,0 +1,4 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
diff --git a/desktop/wmakerconf/slack-desc b/desktop/wmakerconf/slack-desc
new file mode 100644
index 0000000000..242c308fd6
--- /dev/null
+++ b/desktop/wmakerconf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wmakerconf: WMakerConf (GTK+ based configuration tool for Window Maker)
+wmakerconf:
+wmakerconf: WMakerConf (short for Window Maker Configurator) is a configuration
+wmakerconf: utility for the Window Maker window manager.
+wmakerconf:
+wmakerconf:
+wmakerconf:
+wmakerconf:
+wmakerconf:
+wmakerconf:
+wmakerconf:
diff --git a/desktop/wmakerconf/wmakerconf.SlackBuild b/desktop/wmakerconf/wmakerconf.SlackBuild
new file mode 100644
index 0000000000..25fb6e066f
--- /dev/null
+++ b/desktop/wmakerconf/wmakerconf.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for wmakerconf
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=wmakerconf
+VERSION=${VERSION:-2.12}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM\_$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-debug
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL MANUAL NEWS NLS-TEAM1 README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/desktop/wmakerconf/wmakerconf.info b/desktop/wmakerconf/wmakerconf.info
new file mode 100644
index 0000000000..38cc797b5e
--- /dev/null
+++ b/desktop/wmakerconf/wmakerconf.info
@@ -0,0 +1,8 @@
+PRGNAM="wmakerconf"
+VERSION="2.12"
+HOMEPAGE="http://starplot.org/wmakerconf/"
+DOWNLOAD="http://downloads.sourceforge.net/wmakerconf/wmakerconf_2.12.tar.gz"
+MD5SUM="252114b5ee5fc5bec99477497ee045cc"
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"
+APPROVED="dsomero"